
QGIS Application - Bug report #1373

Derived area values from identify tool differ from calculated PostGIS area

2008-10-22 12:21 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 11433

Description

When I identify a polygon with the identify tool, the derived area differs from the calculated area with postgis area(the_geom) function. The

difference is small but existing:

QGIS: 15.516 km2

[[PostGIS]]: 15.525 km2

History

#1 - 2008-10-22 08:27 PM - Steven Mizuno

Replying to hdus:

When I identify a polygon with the identify tool, the derived area differs from the calculated area with postgis area(the_geom) function. The difference

is small but existing:

QGIS: 15.516 km2

[[PostGIS]]: 15.525 km2

If you are using On-the-fly transformation, the difference is because QGIS uses calculation on an ellipsoid rather than plane calculations as [[PostGIS]]

uses for area().

Without OTF, QGIS uses plane calculations also, but there may still be a very small difference.

This is essentially the same problem as I put in #1219.

#2 - 2008-10-22 11:44 PM - Horst Düster

- Resolution set to duplicate

- Status changed from Open to Closed

Already reported with #1219

#3 - 2009-08-22 12:57 AM - Anonymous

2024-04-29 1/2

/issues/show/1373


Milestone Version 1.0.0 deleted
